Subject: Re: bug#38218: network-interface-list only returns IPv4 addresses

From: Robert Pluim <[email-masked]>
Date: Sun, 17 Nov 2019 21:50:00 +0100

>>>>> On Sat, 16 Nov 2019 06:17:10 +0100, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> +Optional argument @var{full} non-@code{nil} means to instead return a
    >> +list of one or more elements of the form @w{@code{(@var{ifname}
    >> +@var{addr} @var{bcast} @var{netmask})}}.  @var{ifname} is a non-unique
    >> +string naming the interface.  @var{addr}, @var{bcast}, and
    >> +@var{netmask} are vectors of integers detailing the IP address,
    >> +broadcast address, and network mask.

    Lars> I think it might make sense to include an example output from the
    Lars> function here to make it clearer what the string bit is, in particular.

Sure.

    Lars> I've otherwise just skimmed the patch (and not tried it), but it makes
    Lars> sense to me.

Iʼll just push and wait for the screams then. (Eli, thatʼs a joke).

Robert